Upstream information

CVE-2015-5200 at MITRE

Description

The trace functionality in libvdpau before 1.1.1, when used in a setuid or setgid application, allows local users to write to arbitrary files via unspecified vectors.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.3
Vector AV:L/AC:M/Au:N/C:N/I:C/A:C
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 943969 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • libvdpau >= 0.4.1-16.20.2
  • libvdpau1 >= 0.4.1-16.20.2
  • libvdpau1-32bit >= 0.4.1-16.20.2
Patchnames:
sledsp3-libvdpau-12192
SUSE Linux Enterprise Desktop 11 SP4
  • libvdpau >= 0.4.1-16.20.2
  • libvdpau1 >= 0.4.1-16.20.2
  • libvdpau1-32bit >= 0.4.1-16.20.2
Patchnames:
sledsp4-libvdpau-12192
SUSE Linux Enterprise Desktop 12
  • libvdpau >= 0.8-3.1
  • libvdpau1 >= 0.8-3.1
  • libvdpau1-32bit >= 0.8-3.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-788
SUSE Linux Enterprise Desktop 12 SP1
  • libvdpau1 >= 0.8-3.1
  • libvdpau1-32bit >= 0.8-3.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libvdpau1
SUSE Linux Enterprise Desktop 12 SP2
  • libvdpau1 >= 1.1.1-6.73
  • libvdpau1-32bit >= 1.1.1-6.73
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libvdpau1
SUSE Linux Enterprise Desktop 12 SP3
  • libvdpau1 >= 1.1.1-6.73
  • libvdpau1-32bit >= 1.1.1-6.73
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libvdpau1
SUSE Linux Enterprise Module for Desktop Applications 15
  • libvdpau-devel >= 1.1.1-1.28
  • libvdpau1 >= 1.1.1-1.28
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA libvdpau-devel
SUSE Linux Enterprise Server 12
  • libvdpau >= 0.8-3.1
  • libvdpau1 >= 0.8-3.1
Patchnames:
SUSE-SLE-SERVER-12-2015-788
SUSE Linux Enterprise Server 12 SP1
  • libvdpau1 >= 0.8-3.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libvdpau1
SUSE Linux Enterprise Server 12 SP2
  • libvdpau1 >= 1.1.1-6.73
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libvdpau1
SUSE Linux Enterprise Server 12 SP3
  • libvdpau1 >= 1.1.1-6.73
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libvdpau1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libvdpau1 >= 1.1.1-6.73
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libvdpau1
SUSE Linux Enterprise Server for SAP Applications 12
  • libvdpau >= 0.8-3.1
  • libvdpau1 >= 0.8-3.1
Patchnames:
SUSE-SLE-SERVER-12-2015-788
SUSE Linux Enterprise Software Development Kit 12
  • libvdpau >= 0.8-3.1
  • libvdpau-devel >= 0.8-3.1
Patchnames:
SUSE-SLE-SDK-12-2015-788
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libvdpau-devel >= 0.8-3.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libvdpau-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libvdpau-devel >= 1.1.1-6.73
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libvdpau-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libvdpau-devel >= 1.1.1-6.73
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libvdpau-devel
SUSE Linux Enterprise Workstation Extension 12
  • libvdpau >= 0.8-3.1
  • libvdpau1-32bit >= 0.8-3.1
Patchnames:
SUSE-SLE-WE-12-2015-788
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libvdpau1-32bit >= 0.8-3.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA libvdpau1-32bit
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libvdpau1-32bit >= 1.1.1-6.73
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libvdpau1-32bit
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libvdpau1-32bit >= 1.1.1-6.73
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libvdpau1-32bit
openSUSE 13.1
  • libvdpau >= 0.6-3.3.1
  • libvdpau-debugsource >= 0.6-3.3.1
  • libvdpau-devel >= 0.6-3.3.1
  • libvdpau-devel-32bit >= 0.6-3.3.1
  • libvdpau1 >= 0.6-3.3.1
  • libvdpau1-32bit >= 0.6-3.3.1
  • libvdpau1-debuginfo >= 0.6-3.3.1
  • libvdpau1-debuginfo-32bit >= 0.6-3.3.1
  • libvdpau_trace1 >= 0.6-3.3.1
  • libvdpau_trace1-32bit >= 0.6-3.3.1
  • libvdpau_trace1-debuginfo >= 0.6-3.3.1
  • libvdpau_trace1-debuginfo-32bit >= 0.6-3.3.1
Patchnames:
openSUSE-2015-576
openSUSE Leap 15.0
  • libvdpau1 >= 1.1.1-lp150.1.9
Patchnames:
openSUSE Leap 15.0 GA libvdpau1
openSUSE Leap 42.1
  • libvdpau1 >= 1.1.1-8.6
Patchnames:
openSUSE Leap 42.1 GA libvdpau1
openSUSE Leap 42.2
  • libvdpau1 >= 1.1.1-9.10
Patchnames:
openSUSE Leap 42.2 GA libvdpau1
openSUSE Leap 42.3
  • libvdpau1 >= 1.1.1-11.3
Patchnames:
openSUSE Leap 42.3 GA libvdpau1
openSUSE Tumbleweed
  • libvdpau-devel >= 1.1.1-1.7
  • libvdpau-devel-32bit >= 1.1.1-1.7
  • libvdpau1 >= 1.1.1-1.7
  • libvdpau1-32bit >= 1.1.1-1.7
  • libvdpau_trace1 >= 1.1.1-1.7
  • libvdpau_trace1-32bit >= 1.1.1-1.7
Patchnames:
openSUSE Tumbleweed GA libvdpau-devel


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 libvdpau Released
SUSE Linux Enterprise Desktop 11 SP3 libvdpau Released
SUSE Linux Enterprise Desktop 11 SP4 libvdpau Released
SUSE Linux Enterprise Desktop 12 GA libvdpau Released
SUSE Linux Enterprise Desktop 12 SP1 libvdpau Released
SUSE Linux Enterprise SDK 12 GA libvdpau Released
SUSE Linux Enterprise SDK 12 SP1 libvdpau Released
SUSE Linux Enterprise Server 12 GA libvdpau Released
SUSE Linux Enterprise Server 12 SP1 libvdpau Released
SUSE Linux Enterprise Workstation Extension 12 GA libvdpau Released
SUSE Linux Enterprise Workstation Extension 12 SP1 libvdpau Released